<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://hashtechy.com
 * @since      1.0.0
 *
 * @package    Easy_Custom_Post_Type_Ui
 * @subpackage Easy_Custom_Post_Type_Ui/admin/partials
 */

class admin_area_view {
    
    public function cpt_page_callback() { 
        $current_tab        = isset( $_GET['tab'] )     ? sanitize_text_field( $_GET['tab'] ) : '';
        $first_tab_active   = !isset( $_GET['tab'] )    ? 'active' : '';  ?>
        
        <form method="post">           
            <!-- Dashboard -->
            <div class="d-flex flex-column flex-lg-row h-lg-full bg-surface-secondary">
                <?php require_once 'post-type.php'; ?>
            </div>
        </form>
        <?php
    }

    public function taxonomies_page_callback() {
        $current_tab        = isset( $_GET['tab'] )  ? sanitize_text_field( $_GET['tab'] ) : '';
        $first_tab_active   = !isset( $_GET['tab'] ) ? 'active' : ''; ?>

        <form method="post">
            <!-- Dashboard -->
            <div class="d-flex flex-column flex-lg-row h-lg-full bg-surface-secondary">
                <?php require_once 'taxonomies.php'; ?>
            </div>
        </form>
        <?php
    }
}