<?php 
$cpt = get_option( 'cpt' );  

// Main settings 
$post_slug              = ( isset( $_POST['_post_slug'] )               ? sanitize_text_field( $_POST['_post_slug'] )               : '' );
$post_label             = ( isset( $_POST['_post_label'] )              ? sanitize_text_field( $_POST['_post_label'] )              : '' );
$post_singular_label    = ( isset( $_POST['_post_singular_label'] )     ? sanitize_text_field( $_POST['_post_singular_label'] )     : '' );

// Labels Setting
$menu_name              = ( isset( $_POST['_menu_name'] )               ? sanitize_text_field( $_POST['_menu_name'] )               : '' );
$name_admin_bar         = ( isset( $_POST['_name_admin_bar'] )          ? sanitize_text_field( $_POST['_name_admin_bar'] )          : '' );
$add_new                = ( isset( $_POST['_add_new'] )                 ? sanitize_text_field( $_POST['_add_new'] )                 : '' );
$add_new_item           = ( isset( $_POST['_add_new_item'] )            ? sanitize_text_field( $_POST['_add_new_item'] )            : '' );
$new_item               = ( isset( $_POST['_new_item'] )                ? sanitize_text_field( $_POST['_new_item'] )                : '' );
$edit_item              = ( isset( $_POST['_edit_item'] )               ? sanitize_text_field( $_POST['_edit_item'] )               : '' );
$view_item              = ( isset( $_POST['_view_item'] )               ? sanitize_text_field( $_POST['_view_item'] )               : '' );
$all_items              = ( isset( $_POST['_all_items'] )               ? sanitize_text_field( $_POST['_all_items'] )               : '' );
$search_items           = ( isset( $_POST['_search_items'] )            ? sanitize_text_field( $_POST['_search_items'] )            : '' );
$parent_item_colon      = ( isset( $_POST['_parent_item_colon'] )       ? sanitize_text_field( $_POST['_parent_item_colon'] )       : '' );
$not_found              = ( isset( $_POST['_not_found'] )               ? sanitize_text_field( $_POST['_not_found'] )               : '' );
$not_found_in_trash     = ( isset( $_POST['_not_found_in_trash'] )      ? sanitize_text_field( $_POST['_not_found_in_trash'] )      : '' );
$featured_image         = ( isset( $_POST['_featured_image'] )          ? sanitize_text_field( $_POST['_featured_image'] )          : '' );
$archives               = ( isset( $_POST['_archives'] )                ? sanitize_text_field( $_POST['_archives'] )                : '' );
$insert_into_item       = ( isset( $_POST['_insert_into_item'] )        ? sanitize_text_field( $_POST['_insert_into_item'] )        : '' );
$uploaded_to_this_item  = ( isset( $_POST['_uploaded_to_this_item'] )   ? sanitize_text_field( $_POST['_uploaded_to_this_item'] )   : '' );
$filter_items_list      = ( isset( $_POST['_filter_items_list'] )       ? sanitize_text_field( $_POST['_filter_items_list'] )       : '' );
$items_list_navigation  = ( isset( $_POST['_items_list_navigation'] )   ? sanitize_text_field( $_POST['_items_list_navigation'] )   : '' );
$items_list             = ( isset( $_POST['_items_list'] )              ? sanitize_text_field( $_POST['_items_list'] )              : '' );

// args settings
$public_args           = ( isset( $_POST['_public_args'] )         ? sanitize_text_field( $_POST['_public_args'] )         : '' );
$publicly_queryable    = ( isset( $_POST['_publicly_queryable'] )  ? sanitize_text_field( $_POST['_publicly_queryable'] )  : '' );
$show_ui               = ( isset( $_POST['_show_ui'] )             ? sanitize_text_field( $_POST['_show_ui'] )             : '' );
$show_in_menu          = ( isset( $_POST['_show_in_menu'] )        ? sanitize_text_field( $_POST['_show_in_menu'] )        : '' );
$query_var             = ( isset( $_POST['_query_var'] )           ? sanitize_text_field( $_POST['_query_var'] )           : '' );
$rewrite               = ( isset( $_POST['_rewrite'] )             ? sanitize_text_field( $_POST['_rewrite'] )             : '' );
$has_archive           = ( isset( $_POST['_has_archive'] )         ? sanitize_text_field( $_POST['_has_archive'] )         : '' );
$hierarchical          = ( isset( $_POST['_hierarchical'] )        ? sanitize_text_field( $_POST['_hierarchical'] )        : '' );
$menu_position         = ( isset( $_POST['_menu_position'] )       ? sanitize_text_field( $_POST['_menu_position'] )       : '' );
$dash_icons            = ( isset( $_POST['_dash_icons'] )          ? sanitize_text_field( $_POST['_dash_icons'] )          : '' );

//supports settings
$supports_title         = ( isset( $_POST['_post_supports_title'] )     ? sanitize_text_field( $_POST['_post_supports_title'] )     : '' );
$supports_editor        = ( isset( $_POST['_post_supports_editor'] )    ? sanitize_text_field( $_POST['_post_supports_editor'] )    : '' );
$supports_author        = ( isset( $_POST['_post_supports_author'] )    ? sanitize_text_field( $_POST['_post_supports_author'] )    : '' );
$supports_thumbnail     = ( isset( $_POST['_post_supports_thumbnail'] ) ? sanitize_text_field( $_POST['_post_supports_thumbnail'] ) : '' );
$supports_excerpt       = ( isset( $_POST['_post_supports_excerpt'] )   ? sanitize_text_field( $_POST['_post_supports_excerpt'] )   : '' );
$supports_comments      = ( isset( $_POST['_post_supports_comments'] )  ? sanitize_text_field( $_POST['_post_supports_comments'] )  : '' );

// insert post data
if( !empty( $post_slug ) && !empty( $post_label ) && !empty( $post_singular_label ) ) {

    $cpt[$post_slug] = [
        '_post_label'               => $post_label,
        '_post_singular_label'      => $post_singular_label,
        '_menu_name'                => $menu_name,
        '_name_admin_bar'           => $name_admin_bar,
        '_new_item'                 => $new_item,
        '_edit_item'                => $edit_item,
        '_view_item'                => $view_item,
        '_all_items'                => $all_items,
        '_search_items'             => $search_items,
        '_parent_item_colon'        => $parent_item_colon,
        '_not_found'                => $not_found,
        '_not_found_in_trash'       => $not_found_in_trash,
        '_featured_image'           => $featured_image,
        '_archives'                 => $archives,
        '_insert_into_item'         => $insert_into_item,
        '_uploaded_to_this_item'    => $uploaded_to_this_item,
        '_filter_items_list'        => $filter_items_list,
        '_items_list_navigation'    => $items_list_navigation,
        '_items_list'               => $items_list,
        '_public_args'              => $public_args,
        '_publicly_queryable'       => $publicly_queryable,
        '_show_ui'                  => $show_ui,
        '_show_in_menu'             => $show_in_menu,
        '_query_var'                => $query_var,
        '_rewrite'                  => $rewrite,
        '_has_archive'              => $has_archive,
        '_hierarchical'             => $hierarchical,
        '_menu_position'            => $menu_position,
        '_dash_icons'               => $dash_icons,
        '_post_supports_title'      => $supports_title,
        '_post_supports_editor'     => $supports_editor,
        '_post_supports_author'     => $supports_author,
        '_post_supports_thumbnail'  => $supports_thumbnail,
        '_post_supports_excerpt'    => $supports_excerpt,
        '_post_supports_comments'   => $supports_comments,
    ];

    update_option( 'cpt', $cpt );
}

// get post data
$get_post = '';
if( isset( $_GET['post-type'] ) && $_GET['post-type'] !== '' ) {
    
    $get_post = sanitize_text_field( $_GET['post-type'] );

    if( isset( $cpt[$get_post] ) && $cpt[$get_post] !== '' ) {
        $post_slug              = $get_post;
        $post_name              = $cpt[$get_post]['_post_label'];
        $singular_label         = $cpt[$get_post]['_post_singular_label'];
        $menu_name              = $cpt[$get_post]['_menu_name'];
        $name_admin_bar         = $cpt[$get_post]['_name_admin_bar'];
        $new_item               = $cpt[$get_post]['_new_item'];
        $edit_item              = $cpt[$get_post]['_edit_item'];
        $view_item              = $cpt[$get_post]['_view_item'];
        $all_items              = $cpt[$get_post]['_all_items'];
        $search_items           = $cpt[$get_post]['_search_items'];
        $parent_item_colon      = $cpt[$get_post]['_parent_item_colon'];
        $not_found              = $cpt[$get_post]['_not_found'];
        $not_found_in_trash     = $cpt[$get_post]['_not_found_in_trash'];
        $featured_image         = $cpt[$get_post]['_featured_image'];
        $archives               = $cpt[$get_post]['_archives'];
        $insert_into_item       = $cpt[$get_post]['_insert_into_item'];
        $uploaded_to_this_item  = $cpt[$get_post]['_uploaded_to_this_item'];
        $filter_items_list      = $cpt[$get_post]['_filter_items_list'];
        $items_list_navigation  = $cpt[$get_post]['_items_list_navigation'];
        $items_list             = $cpt[$get_post]['_items_list'];
        $public_args            = $cpt[$get_post]['_public_args'];
        $publicly_queryable     = $cpt[$get_post]['_publicly_queryable'];
        $show_ui                = $cpt[$get_post]['_show_ui'];
        $show_in_menu           = $cpt[$get_post]['_show_in_menu'];
        $query_var              = $cpt[$get_post]['_query_var'];
        $rewrite                = $cpt[$get_post]['_rewrite'];
        $has_archive            = $cpt[$get_post]['_has_archive'];
        $hierarchical           = $cpt[$get_post]['_hierarchical'];
        $menu_position          = $cpt[$get_post]['_menu_position'];
        $dash_icons             = $cpt[$get_post]['_dash_icons'];
        $supports_title         = $cpt[$get_post]['_post_supports_title'];
        $supports_editor        = $cpt[$get_post]['_post_supports_editor'];
        $supports_author        = $cpt[$get_post]['_post_supports_author'];
        $supports_thumbnail     = $cpt[$get_post]['_post_supports_thumbnail'];
        $supports_excerpt       = $cpt[$get_post]['_post_supports_excerpt'];
        $supports_comments      = $cpt[$get_post]['_post_supports_comments'];
        
    }
}

// update post data 
if( 'update-post' === $current_tab ) {
    if( isset( $cpt[ $get_post ] ) && $cpt[ $get_post ] !== '' ) {
        if(  !empty( $post_label ) && !empty( $post_singular_label ) ) {

            $cpt[$get_post] = [
                '_post_label'               => $post_name,
                '_post_singular_label'      => $post_singular_label,
                '_menu_name'                => $menu_name,
                '_name_admin_bar'           => $name_admin_bar,
                '_new_item'                 => $new_item,
                '_edit_item'                => $edit_item,
                '_view_item'                => $view_item,
                '_all_items'                => $all_items,
                '_search_items'             => $search_items,
                '_parent_item_colon'        => $parent_item_colon,
                '_not_found'                => $not_found,
                '_not_found_in_trash'       => $not_found_in_trash,
                '_featured_image'           => $featured_image,
                '_archives'                 => $archives,
                '_insert_into_item'         => $insert_into_item,
                '_uploaded_to_this_item'    => $uploaded_to_this_item,
                '_filter_items_list'        => $filter_items_list,
                '_items_list_navigation'    => $items_list_navigation,
                '_items_list'               => $items_list,
                '_public_args'              => $public_args,
                '_publicly_queryable'       => $publicly_queryable,
                '_show_ui'                  => $show_ui,
                '_show_in_menu'             => $show_in_menu,
                '_query_var'                => $query_var,
                '_rewrite'                  => $rewrite,
                '_has_archive'              => $has_archive,
                '_hierarchical'             => $hierarchical,
                '_menu_position'            => $menu_position,
                '_dash_icons'               => $dash_icons,
                '_post_supports_title'      => $supports_title,
                '_post_supports_editor'     => $supports_editor,
                '_post_supports_author'     => $supports_author,
                '_post_supports_thumbnail'  => $supports_thumbnail,
                '_post_supports_excerpt'    => $supports_excerpt,
                '_post_supports_comments'   => $supports_comments,
            ];
            
            update_option( 'cpt', $cpt );
            $redirect = admin_url( 'admin.php?page=c-p-t' );
            echo("<script>location.href = '".esc_attr( $redirect )."'</script>");
        }
    }
}

// delete post
if( isset( $_GET['delete'] ) && $_GET['delete'] !== '' ) {

    $delete = sanitize_text_field( $_GET['delete'] );
    unset($cpt[$delete]);
    update_option( 'cpt', $cpt );
    $redirect = admin_url( 'admin.php?page=c-p-t' ); ?>
    <script>location.href = <?php echo esc_attr( $redirect ); ?></script>
    <?php
}